﻿Option Strict On
Imports Coding4Fun.Kinect.Wpf
Imports Microsoft.Kinect
Class MainWindow
    Dim kinect As KinectSensor
    Private Sub MainWindow_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        Try
            If KinectSensor.KinectSensors.Count = 0 Then
                MessageBox.Show("KINECTが接続されておりません。")
                Exit Sub
            Else
                kinect = KinectSensor.KinectSensors(0)
                kinect.ColorStream.Enable()
                AddHandler kinect.ColorFrameReady, AddressOf kinect_ColorFrameReady
                kinect.Start()
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Exit Sub
        End Try
    End Sub

    Private Sub kinect_ColorFrameReady(sender As Object, e As ColorImageFrameReadyEventArgs)
        Using myImage As ColorImageFrame = e.OpenColorImageFrame
            cameraImage.Source = myImage.ToBitmapSource
        End Using

    End Sub

    Private Sub MainWindow_Closing(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles Me.Closing
        If kinect Is Nothing = False Then
            If kinect.IsRunning = True Then
                RemoveHandler kinect.ColorFrameReady, AddressOf kinect_ColorFrameReady
                kinect.Stop()
                kinect.Dispose()
            End If
        End If

    End Sub
End Class
